#
# spec file for package kdepim4
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdepim4
Version:        4.14.10
Release:        5.4
Summary:        Base package of kdepim
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        kdepim-%{version}.tar.xz
Patch1:         akregator-useragent.diff
Patch2:         desktop-files.diff
Patch3:         knode-kontact-default.diff
BuildRequires:  baloo-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  fdupes
BuildRequires:  gpgme-devel
BuildRequires:  grantlee-devel
BuildRequires:  libakonadiprotocolinternals-devel >= 1.12.0
BuildRequires:  libassuan-devel
BuildRequires:  libbaloowidgets-devel
BuildRequires:  libkdepimlibs4-devel >= %version
BuildRequires:  libprison-devel
BuildRequires:  libqca2-devel
BuildRequires:  xz
Requires:       libkdepim4 = %{version}
Suggests:       akregator
Suggests:       kaddressbook
Suggests:       kalarm
Suggests:       kjots
Suggests:       kleopatra
Suggests:       kmail
Suggests:       knode
Suggests:       ktnef
Suggests:       knotes
Suggests:       kontact
Suggests:       korganizer
Suggests:       ktimetracker
Suggests:       libkdepim4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_akonadi_requires
%kde4_pimlibs_requires
%kde4_runtime_requires

%description
This package contains the core files of the kdepim module.

%prep
%setup -q -n kdepim-%{version}
%patch1
%patch2
%patch3

%build
%ifarch ppc64
RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build -- -DKDEPIM_BUILD_MOBILE=OFF
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %create_subdir_filelist -d akregator -v devel
  %create_subdir_filelist -d kaddressbook -v devel
  %create_subdir_filelist -d kalarm -v devel
  %create_subdir_filelist -d kjots -v devel
  %create_subdir_filelist -d kleopatra/libkleopatraclient -f libkdepim -v libkdepim.devel
  %create_subdir_filelist -d kmail -v devel
  %create_subdir_filelist -d kmailcvt -f kmail
  %create_subdir_filelist -d knode -v devel
  %create_subdir_filelist -d ktnef -v devel
  %create_subdir_filelist -d knotes -v devel
  %create_subdir_filelist -d kontact -v devel
  %create_subdir_filelist -d korganizer -v devel
  %create_subdir_filelist -d ktimetracker
  %create_subdir_filelist -d libkdepim -v libkdepim.devel
  cd ..

  #remove kontact plugins' desktop files that are in subpackages from the kontact list
  akregatorplugins="%{_kde4_modulesdir}/kontact_akregatorplugin.so %{_kde4_servicesdir}/kontact/akregatorplugin.desktop"
  kaddressbookplugin="%{_kde4_modulesdir}/kontact_kaddressbookplugin.so"
  kjotsplugin="%{_kde4_modulesdir}/kontact_kjotsplugin.so %{_kde4_servicesdir}/kontact/kjots_plugin.desktop"
  kmailplugin="%{_kde4_modulesdir}/kontact_kmailplugin.so %{_kde4_servicesdir}/kontact/kmailplugin.desktop"
  knodeplugin="%{_kde4_modulesdir}/kontact_knodeplugin.so %{_kde4_servicesdir}/kontact/knodeplugin.desktop"
  knotesplugin="%{_kde4_modulesdir}/kontact_knotesplugin.so %{_kde4_servicesdir}/kontact/knotesplugin.desktop"
  korganizerplugins="%{_kde4_modulesdir}/kontact_journalplugin.so %{_kde4_modulesdir}/kontact_korganizerplugin.so %{_kde4_modulesdir}/kontact_todoplugin.so %{_kde4_servicesdir}/kontact/korganizerplugin.desktop %{_kde4_servicesdir}/kontact/journalplugin.desktop %{_kde4_servicesdir}/kontact/todoplugin.desktop"
  for i in $akregatorplugins $kaddressbookplugin $kjotsplugin $kmailplugin $knodeplugin $knotesplugin $korganizerplugins $ktimetrackerplugin
  do
    sed -ri s,$i,, filelists/kontact
  done
  for i in $akregatorplugins
  do
    echo $i >> filelists/akregator
  done
  for i in $kaddressbookplugin
  do
    echo $i >> filelists/kaddressbook
  done
  for i in $kjotsplugin
  do
    echo $i >> filelists/kjots
  done
  for i in $kmailplugin
  do
    echo $i >> filelists/kmail
  done
  for i in $knodeplugin
  do
    echo $i >> filelists/knode
  done
  for i in $knotesplugin
  do
    echo $i >> filelists/knotes
  done
  for i in $korganizerplugins
  do
    echo $i >> filelists/korganizer
  done
  for i in $ktimetrackerplugin
  do
    echo $i >> filelists/ktimetracker
  done

  sed -ri s,.*/usr/%{_lib}/libkabcommon.so.*,, filelists/kaddressbook

  grep "/usr/lib" filelists/libkdepim | grep "/kde4/" >filelists/libkdepim.devel
  cat filelists/libkdepim.devel | while read line; do echo "%exclude $line";done >>filelists/devel
  
  %create_exclude_filelist
  %suse_update_desktop_file -u akonadiconsole Network  Email
  %suse_update_desktop_file -u mboximporter Network Email
  %suse_update_desktop_file KNode           Network  News
  %suse_update_desktop_file Kjots           Utility TimeUtility
  %suse_update_desktop_file Kontact         Office   Core-Office
  %suse_update_desktop_file -r akregator       Network  RSS-News
  %suse_update_desktop_file kaddressbook    Office   ContactManagement
  %suse_update_desktop_file kalarm          Utility  TimeUtility
  %suse_update_desktop_file kleopatra       Utility Security
  %suse_update_desktop_file knotes          Utility  DesktopUtility
  %suse_update_desktop_file korganizer      Office   Calendar
  %suse_update_desktop_file ktimetracker            Utility  TimeUtility
  %suse_update_desktop_file -u importwizard    Network Email
  %suse_update_desktop_file sieveeditor    Network   Email
  %suse_update_desktop_file storageservicemanager     Network   Email
  %suse_update_desktop_file kaddressbook-importer    Office   ContactManagement

  %kde_post_install
  #Restrict fdupes call to not cause unwanted dependencies between packages
  %fdupes -s %{buildroot}%{_kde4_htmldir}
  %fdupes -s %{buildroot}%{_kde4_appsdir}/libkleopatra/
  %fdupes -s %{buildroot}%{_kde4_appsdir}/knode/
  %fdupes -s %{buildroot}%{_kde4_appsdir}/kmail2/
  %fdupes -s %{buildroot}%{_kde4_iconsdir}
  %kde_post_install

  rm %{buildroot}%{_kde4_libdir}/*.so
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/akregator > filelists/akregator.upd
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/exclude > filelists/exclude.upd
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/kalarm > filelists/kalarm.upd
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/knode > filelists/knode.upd
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/korganizer > filelists/korganizer.upd
  grep -v "%{_kde4_libdir}/lib.*so$" filelists/libkdepim > filelists/libkdepim.upd
  rm filelists/devel
  
%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}
  rm -rf filelists

%package -n akonadi
Summary:        KDE Resources for PIM Storage Service
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Requires:       kdepim4-runtime = %{version}
Provides:       kde4-akonadi = 4.3.0
Obsoletes:      akonadi-devel < 4.4.60
Obsoletes:      kde4-akonadi < 4.3.0
Provides:       akonadi-devel = 4.4.60
%kde4_runtime_requires
%kde4_pimlibs_requires
%kde4_akonadi_requires

%description -n akonadi
This package contains the KDE resources for Akonadi, the KDE PIM
storage service.

%post   -n akonadi -p /sbin/ldconfig

%postun -n akonadi -p /sbin/ldconfig

%files -n akonadi
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%dir %{_kde4_datadir}/akonadi
%dir %{_kde4_datadir}/akonadi/agents
%dir %{_kde4_libdir}/akonadi
%dir %{_kde4_libdir}/akonadi/contact
%dir %{_kde4_libdir}/akonadi/contact/editorpageplugins
%{_kde4_datadir}/akonadi/agents/followupreminder.desktop
%{_kde4_datadir}/akonadi/agents/mailfilteragent.desktop
%{_kde4_datadir}/akonadi/agents/notesagent.desktop
%{_kde4_datadir}/akonadi/agents/archivemailagent.desktop
%{_kde4_datadir}/akonadi/agents/sendlateragent.desktop
%{_kde4_datadir}/akonadi/agents/folderarchiveagent.desktop
%{_kde4_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so

%package -n libakonadi_next4
Summary:        The library for the Akonadi PIM Storage Service
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Requires:       akonadi = %{version}

%description -n libakonadi_next4
This package contains the library for the Akonadi PIM
storage service.

%post   -n libakonadi_next4 -p /sbin/ldconfig

%postun -n libakonadi_next4 -p /sbin/ldconfig

%file -n libakonadi_next4
%defattr(-,root,root)
%doc COPYING* README
%{_libdir}/libakonadi_next.so.*

%package -n akregator
Summary:        RSS Feed Reader
License:        LGPL-2.1+
Group:          Productivity/Networking/News/Utilities
Requires:       libkdepim4 = %{version}
Provides:       kde4-akregator = 4.3.0
Obsoletes:      kde4-akregator < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n akregator
A KDE Feed Aggregator

%post   -n akregator -p /sbin/ldconfig

%postun -n akregator -p /sbin/ldconfig

%files -n akregator -f filelists/akregator.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kaddressbook
Summary:        Address Manager
License:        LGPL-2.1+
Group:          Productivity/Networking/Email/Utilities
Requires:       kdepim4-runtime = %{version}
Requires:       libkdepim4 = %{version}
Provides:       kde4-kaddressbook = 4.3.0
Obsoletes:      kde4-kaddressbook < 4.3.0
%kde4_akonadi_requires
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kaddressbook
The KDE Address Book

%post   -n kaddressbook -p /sbin/ldconfig

%postun -n kaddressbook -p /sbin/ldconfig

%files -n kaddressbook -f filelists/kaddressbook
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kmail
Summary:        Mail Client
License:        GPL-2.0
Group:          Productivity/Networking/Email/Clients
Requires:       akonadi-runtime
Requires:       kdepim4-runtime = %{version}
Requires:       libkdepim4 = %{version}
Provides:       kde4-kmail = 4.3.0
Obsoletes:      kde4-kmail < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kmail
KMail is the KDE mail client.

%post   -n kmail -p /sbin/ldconfig

%postun -n kmail -p /sbin/ldconfig

%files -n kmail -f filelists/kmail
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_appsdir}/kmail2/pics/*
%{_kde4_configdir}/kmail.antispamrc
%{_kde4_configdir}/kmail.antivirusrc
%{_kde4_configdir}/ksieve_script.knsrc
%{_kde4_configdir}/messageviewer_header_themes.knsrc

%package -n knode
Summary:        News Reader
License:        LGPL-2.1+
Group:          Productivity/Networking/News/Clients
Requires:       libkdepim4 = %{version}
Provides:       kde4-knode = 4.3.0
Obsoletes:      kde4-knode < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n knode
KNode is a usenet news reader for KDE.

%post   -n knode -p /sbin/ldconfig

%postun -n knode -p /sbin/ldconfig

%files -n knode -f filelists/knode.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_appsdir}/knode/pics/*

%package -n ktnef
Summary:        Viewer for email attachments in TNEF format
License:        LGPL-2.1+
Group:          Productivity/Networking/Email/Clients
Requires:       akonadi-runtime
Requires:       kdepim4-runtime = %version
Requires:       libkdepim4 = %version
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n ktnef
KTNEF is a viewer for email attachments in the TNEF format.

%post -n ktnef -p /sbin/ldconfig

%postun -n ktnef -p /sbin/ldconfig

%files -n ktnef -f filelists/ktnef
%defattr(-,root,root)
%{_kde4_iconsdir}/locolor/*/*/ktnef*.png

%package -n knotes
Summary:        Popup Notes
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim4 = %{version}
Provides:       kde4-knotes = 4.3.0
Obsoletes:      kde4-knotes < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n knotes
KNotes is a note taking application for KDE.

%post   -n knotes -p /sbin/ldconfig

%postun -n knotes -p /sbin/ldconfig

%files -n knotes -f filelists/knotes
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%exclude %{_kde4_appsdir}/knotes/knotes_part.rc

%package -n kontact
Summary:        Personal Information Manager
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim4 = %{version}
Recommends:     kmail
Suggests:       kaddressbook
Suggests:       kjots
Suggests:       knode
Suggests:       knotes
Suggests:       korganizer
Suggests:       ktimetracker
Obsoletes:      kde4-kontact < 4.3.0
Provides:       kde4-kontact = 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires
%kde4_akonadi_requires

%description -n kontact
Kontact combines the individual applications KMail, KAddressBook and
KOrganizer as views in one window.

%post   -n kontact -p /sbin/ldconfig

%postun -n kontact -p /sbin/ldconfig

%files -n kontact -f filelists/kontact
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n korganizer
Summary:        Personal Organizer
License:        GPL-2.0
Group:          Productivity/Office/Organizers
Requires:       kdepim4-runtime = %{version}
Requires:       libkdepim4 = %{version}
Provides:       kde4-korganizer = 4.3.0
Obsoletes:      kde4-korganizer < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires
%kde4_akonadi_requires

%description -n korganizer
KOrganizer is a calendar application for KDE.

%post   -n korganizer -p /sbin/ldconfig

%postun -n korganizer -p /sbin/ldconfig

%files -n korganizer -f filelists/korganizer.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_configdir}/korganizer.knsrc
%{_kde4_datadir}/autostart/korgac.desktop
%{_kde4_servicetypesdir}/calendardecoration.desktop
%{_kde4_servicetypesdir}/calendarplugin.desktop

%package -n ktimetracker
Summary:        Personal Time Tracker
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim4 = %{version}
Provides:       kde4-ktimetracker = 4.3.0
Obsoletes:      kde4-ktimetracker < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n ktimetracker
KTimeTracker tracks time spent on various tasks.

%post   -n ktimetracker -p /sbin/ldconfig

%postun -n ktimetracker -p /sbin/ldconfig

%files -n ktimetracker -f filelists/ktimetracker
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kjots
Summary:        Note Taker
License:        GPL-2.0+
Group:          Productivity/Other
Requires:       libkdepim4 = %{version}
Provides:       kde4-kjots = 4.3.0
Obsoletes:      kde4-kjots < 4.3.0
%kde4_akonadi_requires
%kde4_runtime_requires
%kde4_pimlibs_requires

%description -n kjots
KDE Note Taking Utility

%post   -n kjots -p /sbin/ldconfig

%postun -n kjots -p /sbin/ldconfig

%files -n kjots -f filelists/kjots
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README

%package -n kalarm
Summary:        Personal Alarm Scheduler
License:        LGPL-2.1+
Group:          Productivity/Other
Requires:       libkdepim4 = %{version}
Provides:       kde4-kalarm = 4.3.0
Obsoletes:      kde4-kalarm < 4.3.0
%kde4_runtime_requires
%kde4_pimlibs_requires
%kde4_akonadi_requires

%description -n kalarm
Personal alarm message, command and email scheduler for KDE

%post -n kalarm -p /sbin/ldconfig

%postun -n kalarm -p /sbin/ldconfig

%files -n kalarm -f filelists/kalarm.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%config %{_sysconfdir}/dbus-1/system.d/org.kde.kalarmrtcwake.conf

%package -n libkdepim4
Summary:        KDE PIM Libraries
License:        LGPL-2.1+
Group:          System/GUI/KDE
Obsoletes:      libkdepim4-devel < 4.6.0
Provides:       libkdepim4-devel = 4.6.0
%requires_eq akonadi
%requires_ge libqt4-x11

%description -n libkdepim4
This package contains the basic packages for KDE PIM applications.

%post   -n libkdepim4 -p /sbin/ldconfig

%postun -n libkdepim4 -p /sbin/ldconfig

%files -n libkdepim4 -f filelists/libkdepim.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%{_kde4_modulesdir}/kcm_ldap.so
%{_kde4_modulesdir}/plugins/designer/kdepimwidgets.so

%files -f filelists/exclude.upd
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%doc %lang(en) %{_kde4_htmldir}/en/kontact-admin
%doc %lang(en) %{_kde4_htmldir}/en/kabcclient
%doc %lang(en) %{_kde4_htmldir}/en/konsolekalendar
%doc %lang(en) %{_kde4_htmldir}/en/kioslave/news
%doc %lang(en) %{_kde4_htmldir}/en/kioslave
%doc %lang(en) %{_kde4_htmldir}/en/kwatchgnupg
%doc %lang(en) %{_kde4_htmldir}/en/importwizard
%doc %lang(en) %{_kde4_htmldir}/en/headerthemeeditor
%doc %lang(en) %{_kde4_htmldir}/en/kleopatra
%doc %lang(en) %{_kde4_htmldir}/en/akonadi_*_agent
%doc %lang(en) %{_kde4_htmldir}/en/pimsettingexporter
%doc %lang(en) %{_kde4_htmldir}/en/contactthemeeditor
%doc %lang(en) %{_kde4_htmldir}/en/sieveeditor
%exclude %{_kde4_appsdir}/kmail2/pics/*
%exclude %{_kde4_appsdir}/knode/pics/*
%exclude %{_kde4_configdir}/messageviewer_header_themes.knsrc
%{_kde4_applicationsdir}/*
%{_kde4_appsdir}
%{_kde4_bindir}/*
%{_kde4_configdir}/libkleopatrarc
%{_kde4_configkcfgdir}
%{_kde4_datadir}/dbus-1/interfaces/*
%{_kde4_iconsdir}/hicolor
%{_kde4_iconsdir}/oxygen
%{_kde4_libdir}/*.so.*
%{_kde4_mandir}/man1/kabcclient.1.gz
%{_kde4_modulesdir}/*
%{_kde4_servicesdir}

%changelog
* Mon Sep 19 2016 tittiatcoke@gmail.com
- Removed subpackage blogilo and the requirement for libkgapi
- New subpackage libakonadi_next4
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to 4.14.10
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to 4.14.9
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to 4.14.8
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to 4.14.7
  * KDE Applications 15.04.0
  * See https://www.kde.org/announcements/announce-applications-15.04.0.php
* Tue Mar  3 2015 tittiatcoke@gmail.com
- Update to KDE Applications 4.14.6
  * KDE Applications 14.12.3
  * See https://www.kde.org/announcements/announce-applications-14.12.3.php
* Sun Feb  1 2015 tittiatcoke@gmail.com
- Update to 4.14.5
  * KDE Applications 14.12.2
  * See https://www.kde.org/announcements/announce-applications-14.12.2.php
* Mon Jan 12 2015 tittiatcoke@gmail.com
- Update to 4.14.4
  * KDE Applications 14.12.1
  * See https://www.kde.org/announcements/announce-applications-14.12.1.php
* Wed Nov 12 2014 Led <ledest@gmail.com>
- Fix BuildRequires of libkgapi-devel
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
- Drop reenable-some-docs.diff (merged upstream)
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
- Add reenable-some-docs.diff - Build additional docs
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
- Drop fix_attachment_crash.patch due to upstream inclusion
* Fri May 23 2014 tittiatcoke@gmail.com
- Add upstream patch fix_attachment_crash.patch to prevent kmail
  from crashing. (kde#334937)
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
- Make sure to really BuildRequire libakonadiprotocolinternals-devel
  and libprison-devel, don't relly that other packages pull them in
- Drop libkactivities-devel and link-grammar-devel, these features
  are removed with 4.13.1
* Fri Apr 25 2014 hrvoje.senjan@gmail.com
- Make sure to depend on libkgapi2 version, against which the
  package was built
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Tue Feb 25 2014 hrvoje.senjan@gmail.com
- Include %%{_kde4_configdir}/messageviewer_header_themes.knsrc in
  kmail filelists (issue was reported on oS-KDE ML)
* Sat Feb  1 2014 tittiatcoke@gmail.com
- Update to 4.12.2
  * KDE 4.12.2  release
  * See http://www.kde.org/announcements/announce-4.12.2.php
* Sat Jan 11 2014 tittiatcoke@gmail.com
- Update to 4.12.1
  * KDE 4.12.1  release
  * See http://www.kde.org/announcements/announce-4.12.1.php
* Sat Dec 14 2013 tittiatcoke@gmail.com
- Update to 4.12.0
  * KDE 4.12.0  release
  * See http://www.kde.org/announcements/4.12.php
* Fri Nov 29 2013 tittiatcoke@gmail.com
- Update to 4.11.97
  * KDE 4.12 RC 1 release
  * See http://www.kde.org/announcements/announce-4.12-rc.php
* Sat Nov 23 2013 tittiatcoke@gmail.com
- Update to 4.11.95
  * KDE 4.12 Beta 3 release
  * See http://www.kde.org/announcements/announce-4.12-beta3.php
* Mon Nov 18 2013 aj@ajaissle.de
- Updated desktop-files.diff, fixed missing kontact-import-wizard icon
* Sat Nov 16 2013 tittiatcoke@gmail.com
- Update to 4.11.90
  * KDE 4.12 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.12-beta2.php
* Sat Nov  9 2013 tittiatcoke@gmail.com
- Update to 4.11.80
  * KDE 4.12 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.12-beta1.php
* Sat Nov  2 2013 tittiatcoke@gmail.com
- Update to 4.11.3
  * KDE 4.11.3 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.3.php
* Sat Sep 28 2013 tittiatcoke@gmail.com
- Update to 4.11.2
  * KDE 4.11.2 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.2.php
- Dropped patches based on upstream inclusion:
  0001-Kontact-crashed-after-trying-to-export-as-WebSite.patch
* Mon Sep  9 2013 hrvoje.senjan@gmail.com
- Added 0001-Kontact-crashed-after-trying-to-export-as-WebSite.patch
  from upstream, for resolving kde#324493
* Sun Sep  1 2013 tittiatcoke@gmail.com
- Update to 4.11.1
  * KDE 4.11.1 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.1.php
* Thu Aug  8 2013 tittiatcoke@gmail.com
- Update to 4.11.0
  * KDE 4.11 Final release
  * See http://www.kde.org/announcements/4.11/
* Thu Jul 25 2013 hrvoje.senjan@gmail.com
- Update to 4.10.97
  * KDE 4.11 RC 2 release
  * See http://www.kde.org/announcements/announce-4.11-rc2.php
* Mon Jul 15 2013 cgiboudeaux@gmx.com
- Update to 4.10.95
  * KDE 4.11 RC 1 release
  * See http://www.kde.org/announcements/announce-4.11-rc1.php
* Thu Jun 27 2013 tittiatcoke@gmail.com
- Update to 4.10.90
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta2.php
* Thu Jun 13 2013 tittiatcoke@gmail.com
- Update to 4.10.80
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta1.php
- Added libkactivities-devel, link-grammar-devel and cyrus-sasl-devel
  BuildRequires
* Sat Jun  1 2013 tittiatcoke@gmail.com
- Update to 4.10.4
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.4.php
  * resolves bnc#8122760
* Sat May  4 2013 tittiatcoke@gmail.com
- Update to 4.10.3
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.3.php
  * resolves bnc#818500
- Dropped patches included with this release:
  0001-Add-missing-mimetype-for-contact-groups-in-the-direc.patches,
  0002-Use-the-index-we-just-calculated-a-bit-faster.patch,
  0003-Fix-kmail-autocompletion-from-akonadi.patch and
  0004-Fix-Bug-316256.patch
* Sat Apr 20 2013 hrvoje.senjan@gmail.com
- Added 0004-Fix-Bug-316256.patch, fixes build with newer boost
  (kde#316256)
* Mon Apr  8 2013 hrvoje.senjan@gmail.com
- Add three patches from upstream, those fix mail completion that
  was lost with 4.10.2 (kde#259949):
  0001-Add-missing-mimetype-for-contact-groups-in-the-direc.patches,
  0002-Use-the-index-we-just-calculated-a-bit-faster.patch and
  0003-Fix-kmail-autocompletion-from-akonadi.patch
* Mon Apr  1 2013 tittiatcoke@gmail.com
- Update to 4.10.2
  * Contains bug fixes
- Drop akregator-bug305494.diff, it is included upstream
* Mon Mar 11 2013 mlin@suse.com
- Update desktop-files.diff
  * Don't removed Icon=kleopatra in kleopatra.desktop (bnc#807946)
- Added patch akregator-bug305494.diff from upstream to (bko#305494)
* Mon Mar  4 2013 wbauer@tmo.at
- Remove "News" from categories in akregator.desktop (bnc#807301)
* Sat Mar  2 2013 tittiatcoke@gmail.com
- Update to 4.10.1
  * Contains bug fixes. See http://www.kde.org/announcements/
  for more information
* Thu Jan 31 2013 tittiatcoke@gmail.com
- Update to 4.10.0
  * This is the final release for 4.10. Contains bugfixes
* Thu Jan 17 2013 tittiatcoke@gmail.com
- Update to 4.9.98
  * This is the third RC release for 4.10. Contains bugfixes
* Thu Jan  3 2013 tittiatcoke@gmail.com
- Update to 4.9.97
  * This is the second RC release for 4.10. Contains bugfixes
* Wed Dec 19 2012 tittiatcoke@gmail.com
- Update to 4.9.95
  * This is the first RC release for 4.10. Contains bugfixes
* Sat Dec  1 2012 tittiatcoke@gmail.com
- Update to 4.9.90
  * This is the second Beta release for 4.10. Contains bugfixes
* Sun Nov 25 2012 tittiatcoke@gmail.com
- Drop patch 4_8_branch.diff as it is not used at all
* Sat Nov 24 2012 tittiatcoke@gmail.com
- Update to 4.9.80
  * See http://www.kde.org/announcements/announce-4.10-beta1.php
  * KAlarm:  Add command line and D-Bus option to output list of
    scheduled alarms
* Fri Nov  2 2012 tittiatcoke@gmail.com
- Update to 4.9.3
  * see http://kde.org/announcements/announce-4.9.3.php for details
* Sat Sep 29 2012 tittiatcoke@gmail.com
- Update to 4.9.2
  * see http://kde.org/announcements/announce-4.9.2.php for details
* Wed Sep  5 2012 dmueller@suse.com
- update to 4.9.1
  * see http://kde.org/announcements/4.9.1/ for details
* Sat Aug 25 2012 rabauke@opensuse.org
- add mail loss fix bko #295484
* Mon Jul 30 2012 dmueller@suse.com
- update to 4.8.5
  * see http://kde.org/announcements/changelogs/changelog4_8_4to4_8_5.php for details
- remove upstreamed patch
* Sun Jul 15 2012 ctrippe@opensuse.org
- Fix the mail duplication when filtering incoming messages, also
  several data loss bugs related to filtering should be fixed
  (bnc#770012)
* Fri Jun  1 2012 dmueller@suse.com
- update to 4.8.4
  * see http://kde.org/announcements/changelogs/changelog4_8_3to4_8_4.php for details
* Sun Apr 29 2012 dmueller@suse.com
- update to 4.8.3
  * see http://kde.org/announcements/changelogs/changelog4_8_2to4_8_3.php for details
* Sat Apr 14 2012 dmueller@suse.com
- fix buildrequires on kdepimlibs4-devel
* Sun Apr  1 2012 tittiatcoke@gmail.com
- Updated specfile to package all files created by the libkdepim.
  (bnc#732019)
* Sat Mar 31 2012 wstephenson@suse.com
- Add xz to BuildRequires
* Thu Mar 29 2012 dmueller@suse.de
- update to 4.8.2
  * see http://kde.org/announcements/changelogs/changelog4_8_1to4_8_2.php for details
* Fri Mar  2 2012 dmueller@suse.de
- update to 4.8.1
  * see http://kde.org/announcements/changelogs/changelog4_8_0to4_8_1.php for details
* Wed Jan 18 2012 dmueller@suse.de
- update to 4.8.0
  * first stable release of KDE 4.8 (only critical fixes over 4.7.98)
  * see http://kde.org/announcements/4.8/ for details
* Tue Jan 10 2012 dmueller@suse.de
- update to 4.7.98
  * RC2+ milestone release of KDE 4.8
  * see http://kde.org/announcements/4.8/ for details
- remove upstreamed patches
- rename 4_7_BRANCH.diff to 4_8_BRANCH.diff
* Tue Dec 13 2011 asterios.dramis@gmail.com
- Added libktexteditor in Requires: for blogilo (because the package needs
  katepart).
* Wed Dec  7 2011 wstephenson@suse.com
- Don't index email unless a folder is selected for indexing
- Don't show Time Tracker kontact plugin unless the ktimetracker
  package is installed (bnc#731268)
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Dec  2 2011 dmueller@suse.de
- update to 4.7.4
  * see http://kde.org/announcements/changelogs/changelog4_7_3to4_7_4.php for details
* Wed Nov  2 2011 dmueller@suse.de
- update to 4.7.3
  * see http://kde.org/announcements/changelogs/changelog4_7_2to4_7_3.php for details
* Wed Oct 19 2011 wstephenson@suse.com
- Add 4.7 branch diff
* Sat Oct 15 2011 ctrippe@opensuse.org
- restrict fdupes call to prevent unwanted package dependencies
  (bnc#724044)
* Sun Oct  2 2011 dmueller@suse.de
- update to 4.7.2
  * see http://kde.org/announcements/changelogs/changelog4_7_1to4_7_2.php for details
* Wed Sep  7 2011 toddrme2178@gmail.com
- Added %%kde4_akonadi_requires and %%kde4_pimlibs_requires
  macros (fix for RPMLINT warnings)
- Added libkdepim4 requires (fix for RPMLINT warning)
- Removed commented commands (fix for RPMLINT warnings)
- Removed self-obsoletes (fix for RPMLINT warnings)
- Added %%config macro to kalarm (fix for RPMLINT warning)
- Added provides for obsoleted packages (fix for RPMLINT warnings)
- Changed blogilo summary (fix for RPMLINT warnings)
- Removed unneeded KDE3 obsoletes and provides
- Cleaned up spec file formatting
- Removed redundant buildrequires
* Thu Sep  1 2011 dmueller@suse.de
- update to 4.7.1
  * Bugfixes over KDE 4.7.0
  * see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for details
* Thu Aug 11 2011 idonmez@novell.com
- Refresh kdepim4-4.7-branch.patch
  * Fix potential crashes
  * Allow to search by date in KMail
  * Fix sorting by calendar in Korganizer
  * Fix KAlarm importing old alarm configurations
* Tue Aug  9 2011 idonmez@novell.com
- kmail & korganizer are licensed under GPLv2 only because they
  link to GPLv2 only libraries, bnc #710584
* Fri Aug  5 2011 idonmez@novell.com
- Drop kalarm-disable-rtcwake.patch, we are now whitelisted
* Thu Aug  4 2011 idonmez@novell.com
- Add kalarm-disable-rtcwake.patch to disable kalarm rtcwake support
  until bnc #707723 is resolved
* Thu Aug  4 2011 idonmez@novell.com
- Add kdepim4-4.7-branch.patch, sync with 4.7 branch
  * Memory leak fixes
  * Crash fixes
- Drop fix-progressmanager.diff, already in branch update
* Wed Jul 27 2011 cgiboudeaux@gmx.com
- Update fix-progressmanager.diff. Add commit db0f6aba which is also needed
* Mon Jul 25 2011 cgiboudeaux@gmx.com
- Add fix-progressmanager.diff
  Fixes kde#278112, kde#278235
  (will be part of kdepim 4.7.1)
* Fri Jul 22 2011 dmueller@suse.de
- update to 4.7.0
  * Small fixes over KDE 4.7 RC2
  * see http://kde.org/announcements/4.7 for details
* Thu Jul 21 2011 idonmez@novell.com
- Update to 4.6.95
* Thu Apr 21 2011 javier@opensuse.org
- Update to 4.4.11.1
  * Bugfixes over 4.4.10
* Sat Apr  9 2011 wstephenson@novell.com
- Add fixes from kdepim 4.4 branch:
  * Don't show next and previous buttons if the attendee list is empty
    (bko#262680)
  * Fix copied text from email includes HTML tags (bko#259468)
  * Fix spurious Akonadi error dialog - start apps asynchronously
    when building vs 4.6
  * Fix potential crash on check (bko#269173)
  * Make KTimeTracker spinbox look right with Oxygen
  * Fix tab labels not updating on folder change in KMail
  * Fix enable/disable/remove buttons in custom template UI in KMail
* Thu Jan 27 2011 cgiboudeaux@gmail.com
- Update to 4.4.10:
  * Bugfixes over 4.4.9
  * drop kontact_kde250138.diff
  * Cleanup the spec file
* Mon Jan 17 2011 cgiboudeaux@gmail.com
- Add kontact_kde250138.diff
  * Fixes kde250138 - Kontact crashed when switching sidebar options
* Wed Dec 22 2010 dmueller@suse.de
- update to 4.4.9:
  * compatibility fixes for KDE 4.6 RC1
* Thu Dec 16 2010 wstephenson@novell.com
- Revert to 4.4.8 for stability
* Fri Dec  3 2010 dmueller@suse.de
- update to 4.5.85
  * KDE 4.6 Beta2
  * Final Beta before RC, various fixes from Beta1
  * no upstream changelog available.
* Tue Nov 23 2010 tittiatcoke@gmail.com
- remove unnecessary BuildRequires
* Fri Nov 19 2010 dmueller@suse.de
- update to 4.5.80
  * KDE 4.6 Beta1
  * no upstream changelog available.
* Mon Nov  8 2010 ctrippe@gmx.net
- ktimetracker
  * Make manually editing task times possible again (bnc#651155)-
* Fri Oct 22 2010 javier@opensuse.org
- update to 4.4.7
  * Bugfixes http://www.kdedevelopers.org/node/4344
* Thu Sep 16 2010 masterpatricko@gmail.com
- Add knotes-dbus-interface.patch to fix KNotes DBus public interface
  (fixes bko#251914)
* Fri Sep 10 2010 javier@opensuse.org
- update to 4.4.6
  * bugfixes over 4.4.5
* Thu Jul 15 2010 wstephenson@novell.com
- Move spamassassin dependency out of kdepimlibs4 (bnc#619563)
* Wed Jul  7 2010 dmueller@suse.de
- update to 4.4.5
  * bugfixes over 4.4.4
  * see http://kde.org/announcements/changelogs/changelog4_4_4to4_4_5.php for details
* Wed Jun 23 2010 wstephenson@novell.com
- Don't show Akonadiconsole in menus (bnc#616229)
* Wed Jun 23 2010 beineri@opensuse.org
- don't show Kontact twice in application menu (bnc#616228)
* Tue Jun 22 2010 wstephenson@novell.com
- Add fix for data loss bug in KOrganizer when editing recurring
  events (bko#226394)
* Fri Jun 18 2010 dmueller@suse.de
- update to 4.4.4
  * bugfixes over 4.4.3
  * see http://kde.org/announcements/changelogs/changelog4_4_3to4_4_ 4.php for details
  * for most modules only version number as a change (4_4_BRANCH.diff already contained the diff
* Tue Jun 15 2010 wstephenson@novell.com
- update 4_4_BRANCH.diff:
  * bko#171484
  * bko#205288 Fix RTL icons and shortcuts
  * bko#232482 Don't kill completed jobs when cancelled
  * bko#233901 Don't crash when there are no resources
  * bko#236098 Plugin list not updated correctly
  * KAlarm:
  * bko#235085 Don't create reminder when there are no alarms
  * bko#237288 Allow deferral of non-recurring alarms
  * bko#237822 Save changes when using Edit button
  * KAddressBook:
  * bko#219895
  * bko#235353 Allow editing contacts via the command line
  * bko#235434
  * bko#237127
  * bko#237626
  * bko#237689
  * KMail:
  * bko#237361 Add unknown email addresses correctly to distribution list
  * bko#237596 Mail search does not honour date locale settings
  * KOrganizer:
  * bko#230374 Duplicate attendees
  * bko#231152 Don't change event timezones
* Tue May 25 2010 dmueller@suse.de
- revert last change and add the fix at kdepim4-runtime
* Thu May 20 2010 coolo@novell.com
- ignore subpackages to avoid cycle
* Mon May 17 2010 llunak@novell.com
- update 4_4_BRANCH.diff: various fixes, translation updates
* Thu Apr 29 2010 dmueller@suse.de
- update to 4.4.3
  * bugfixes over 4.4.2
  * see http://kde.org/announcements/changelogs/changelog4_4_2to4_4_3.php for details
* Thu Apr  8 2010 llunak@novell.com
- backport assuan2 support
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.4.2
  * bugfixes over 4.4.1
  * see http://kde.org/announcements/changelogs/changelog4_4_1to4_4_2.php for details
* Fri Feb 26 2010 dmueller@suse.de
- update to 4.4.1
  * bugfixes over 4.4.0
  * see http://kde.org/announcements/changelogs/changelog4_4_0to4_4_1.php for details
* Wed Feb 10 2010 llunak@novell.com
- update 4_4_BRANCH.diff: fix Kontact hanging on session restore
* Thu Feb  4 2010 dmueller@suse.de
- update to 4.4.0
  * Critical bugfixes only over 4.3.98
  * see http://www.kde.org/announcements/4.4/ for general overview
* Sun Jan 31 2010 dmueller@suse.de
- update to 4.3.98
  * see http://www.kde.org/announcements/announce-4.4-rc3.php for details
* Wed Jan 20 2010 dmueller@suse.de
- update to 4.3.95
  * see http://www.kde.org/announcements/announce-4.4-rc2.php for details
* Wed Jan  6 2010 dmueller@suse.de
- update to 4.3.90
  * see http://www.kde.org/announcements/announce-4.4-rc1.php for details
* Fri Dec 18 2009 dmueller@suse.de
- update to 4.3.85
  * see http://www.kde.org/announcements/announce-4.4-beta2.php for details
* Wed Dec  9 2009 wstephenson@novell.com
- remove KContactManager (development codename for Akonadi port
  of KAddressBook)
  and Korn (now unmaintained)
- Add kdepim4-runtime dependency for Akonadi resources
* Fri Dec  4 2009 dmueller@suse.de
- update to 4.3.80:
  * see http://techbase.kde.org/Schedules/KDE4/4.4_Feature_Plan
* Mon Nov  2 2009 dmueller@suse.de
- update to 4.3.3
  * see http://kde.org/announcements/changelogs/changelog4_3_2to4_3_3.php for details
* Sat Oct 17 2009 beineri@opensuse.org
- fix KTimeTracker menu items missing (bnc#544274)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: akregator, kmail & korganizer fixes
- knode: fetch nntp articles using their server-side Id instead
  of their msg-id (bnc#536643)
* Mon Sep 14 2009 wstephenson@novell.com
- update 4_3_BRANCH.diff: fix bnc#471760 (POP filter setting not
  persistent).
* Mon Sep 14 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: several KMail and KOrganizer bug fixes
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Sat Aug 15 2009 beineri@opensuse.org
- branch diff update: akregator, kmail and kalarm fixes
* Wed Aug  5 2009 llunak@suse.cz
- branch diff update (bnc#494376)
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Mon Jul 27 2009 beineri@opensuse.org
- don't mistakenly exclude files/fix build with new debuginfo macro
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun 17 2009 beineri@opensuse.org
- fix Akregator appearing twice in start menu
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Thu May 21 2009 coolo@novell.com
- fix file conflict with oxygen-icon-theme
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu May  7 2009 beineri@opensuse.org
- allow user to reply to mails in the sent-mail folder (kde#190105)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update branch diff - some kmail fixes
* Mon Mar  9 2009 dmueller@suse.de
- move akonadiconsole to kde4-akonadi
* Fri Mar  6 2009 coolo@suse.de
- filelist/devel does not exist and isn't used
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Fri Feb  6 2009 stbinner@suse.de
- update branch diff: misc Akregator, KMail & KOrganizer fixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sat Jan 10 2009 dmueller@suse.de
- update to KDE 4.1.87 (KDE 4.2 Januar snapshot)
* Thu Dec 18 2008 dmueller@suse.de
- fix knode wrapping (kde#167996)
* Tue Dec 16 2008 wstephenson@suse.de
- Various critical fixes from 4.1 branch:
  * Fix mail loss on rebuild dimap cache (Kolab/issue3196)
  * Fix mail duplication on online imap filtering (kde#95064)
  * Fix mail loss when filtering POP mail and /tmp is full
  * Fix crash on changing quote indicator (kde#174268)
  * Fix crash on parsing procmail file (kde#173964)
  * Fix crash on filtering online imap
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Fri Dec 12 2008 wstephenson@suse.de
- Don't install namelink .so's for private shared libs (bnc#420162)
  Fixes KDE3 kmail startup when kdepim4-devel is installed
* Fri Dec  5 2008 wstephenson@suse.de
- Fix korganizer/kontact showing UTC datetimes instead of localtime
  (bnc#441022)
* Thu Dec  4 2008 wstephenson@suse.de
- add warning to the Akonadi kresources (bnc#439412)
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Tue Nov 11 2008 dmueller@suse.de
- move akonadi kcal/kabc support into kde4-akonadi subpackage
* Sat Nov  1 2008 dmueller@suse.de
- modularize akonadi deps (bnc#439095)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Oct 23 2008 stbinner@suse.de
- remove akonadiconsole and akonaditray menu entries
* Tue Oct 21 2008 stbinner@suse.de
- update branch diff: akregator and kmail bug fix backports
* Fri Oct 17 2008 stbinner@suse.de
- enable KNode Kontact plugin by default (bnc#432332)
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep  8 2008 stbinner@suse.de
- update branch diff
* Tue Sep  2 2008 dmueller@suse.de
- update to final 4.1.1 tarball
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Aug 20 2008 stbinner@suse.de
- fix splitting fix
* Mon Aug 18 2008 stbinner@suse.de
- fix split of kjots and ktimetracker Kontact plugins (bnc#412480)
* Sat Aug 16 2008 stbinner@suse.de
- branch diff update
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Thu Jul 24 2008 wstephenson@suse.de
- Fix IMAP groupware functionality (bnc#398286)
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
  * korn removed (disabled upstream)
* Wed Jul 23 2008 stbinner@suse.de
- fix build
* Sat Jul 19 2008 wstephenson@suse.de
- Fix quoted mail text missing in replies/forwards (kde#166728)
* Fri Jul 18 2008 wstephenson@suse.de
- Fix POP3 mail not retained on server by KMail
  (bnc#408686,kde#151308)
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Thu Jul 17 2008 wstephenson@suse.de
- Change module-internal dependencies of split packages to
  'version-equals' instead of 'equals or greater than'
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 25 2008 wstephenson@suse.de
- Fix missing Kontact plugins (bnc#398807)
* Tue Jun 24 2008 dmueller@suse.de
- update to 4.1 beta2
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Wed Jun 11 2008 dmueller@suse.de
- remove kpilot/kmobiletools packages
* Fri Jun  6 2008 wstephenson@suse.de
- Remove kpilot and kmobiletools dependency as these are not part
  of KDE 4.1
- Disable Kontact planner plugin, not part of KDE 4.1
* Tue Jun  3 2008 stbinner@suse.de
- don't install /usr/share/applications/kde4/kcontactmanager.desktop
* Thu May 29 2008 wstephenson@suse.de
- Move Kontact plugins' desktop files to subpackages (bnc#389141)
* Mon May 26 2008 wstephenson@suse.de
- Add versioning to libkleopatra libraries (bnc#391350)
* Thu May 22 2008 wstephenson@suse.de
- Update to kdepim 4.1beta1
  * Fix kontact view switch sidepane fills entire window (bnc#389141)
* Sat May 17 2008 wstephenson@suse.de
- Exclude akonadi resources, not yet production ready
* Fri May 16 2008 wstephenson@suse.de
- weather plugin is disabled upstream now, remove our patch
* Thu May 15 2008 dmueller@suse.de
- update to 4.0.74
* Fri May  9 2008 llunak@suse.cz
- use the backported kdelibs4.1 functionality for spellchecking
* Fri May  9 2008 wstephenson@suse.de
- update branch diff for mbox fix
* Fri May  9 2008 dmueller@suse.de
- add missing devel package requires
* Thu May  8 2008 wstephenson@suse.de
- Fix invalid return type in KTimeTracker
* Wed May  7 2008 dmueller@suse.de
- update to 4.0.73
* Wed Apr 30 2008 dmueller@suse.de
- update to 4.0.72
* Thu Apr 24 2008 wstephenson@suse.de
- Adapt to new Akonadi location, update to 4.0.71
* Tue Apr 22 2008 wstephenson@suse.de
- remove weather kontact plugin - kweather is broken
* Mon Apr 21 2008 dmueller@suse.de
- remove plasmabiff (doesn't build against KDE 4.0 anymore)
* Fri Apr 18 2008 dmueller@suse.de
- update to 4.0.70
* Tue Apr 15 2008 coolo@suse.de
- give akonadi %%post a ldconfig
* Tue Apr 15 2008 coolo@suse.de
- work around build problem
* Mon Apr 14 2008 wstephenson@suse.de
- Remove private libraries' link-edit .so files, nobody builds
  vs them and they break kdepim3 apps as ld.so tries to link them
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Mon Apr 14 2008 dmueller@suse.de
- fix build once again, fix packaging errors
* Sat Apr 12 2008 dmueller@suse.de
- update to 4.0.69:
  * fixes almost build (finally)
  * no changelog available
* Fri Apr 11 2008 stbinner@suse.de
- fix file globbing
* Wed Apr  2 2008 dmueller@suse.de
- update to 4.0.68
* Tue Mar 25 2008 dmueller@suse.de
- update to 4.0.67
* Thu Mar 13 2008 dmueller@suse.de
- update to 4.0.66
* Thu Mar 13 2008 stbinner@suse.de
- fix file conflict
* Tue Mar 11 2008 dmueller@suse.de
- disable nepomuk stuff for 4.0
* Mon Mar 10 2008 dmueller@suse.de
- update to 4.0.65
* Thu Feb 21 2008 dmueller@suse.de
- update to 4.0.63
* Thu Feb 14 2008 dmueller@suse.de
- update to 4.0.62
* Thu Feb  7 2008 dmueller@suse.de
- update to 4.0.61
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Thu Nov 22 2007 stbinner@suse.de
- fix file conflicts
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 Beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Thu Oct 18 2007 ro@suse.de
- fix build
  - add category for kcontactmanager.desktop
  - add directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta 3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720115
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Thu Aug 30 2007 dmueller@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703914
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700937
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697324
* Tue Aug  7 2007 wstephenson@suse.de
- Resolve file conflict between kdepim4 and kdepim4-knotes
* Mon Aug  6 2007 wstephenson@suse.de
- remove kitchensync temporarily, not compatible with our
  libopensync
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672299
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679144, run fdupes
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668119
* Thu May 24 2007 stbinner@suse.de
- initial package in abuild
